//@STATE=作成中
//@DESCRIPTION ---------------------------------------------------------------
// TitleImpl.h: TitleImpl クラスのインターフェイス
// $Log: TitleImpl.h,v $
// Revision 1.1  2001/10/28 21:40:37  fujiwara
// DLLに分割
//
// Revision 1.4  2001/07/09 20:30:10  fujiwara
// 例外処理の組み込み
//
// Revision 1.3  2001/07/01 01:03:45  fujiwara
// const の見直し
// 配置エディタは途中経過
//
// Revision 1.2  2001/05/12 00:48:42  fujiwara
// ＣＶＳを導入し、ログ表示を追加
//
//@DESCRIPTION_END -----------------------------------------------------------
//@AUTHOR=S.F.
///////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_TITLE_H__CD1C05DB_BB7E_4086_83DE_55E203830952__INCLUDED_)
#define AFX_TITLE_H__CD1C05DB_BB7E_4086_83DE_55E203830952__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "AbstractScene.h"
namespace sf {
	namespace application {
		namespace scene {

class TitleImpl : public AbstractScene
{
public:
	TitleImpl();
	virtual ~TitleImpl();
	void move(void);
	void endOfScene(Scene * const pScene);
	void exitKeyPressed(Scene * const pScene);

	virtual const TYPE type() const{return TITLE;};
private:
	void main();
	void initialize();


	enum STATE {
		INITIALIZE,
		MAIN,
		END
	};

	int mTimer;
	STATE mState;
	int mSoundID;
//	system::console::Obj3DL mTitleObj;
	system::console::Obj3DL mTitleObj1;
//	system::console::sprite::Sprite *mpSpriteMyShip;
	system::console::sprite::Sprite *mpSpriteTitle;

	static const int PERIOD;
//	static const system::console::sprite::Info SPRITE_INFO;
	static const system::console::sprite::Info SPRITE_INFO_TITLE;

};// TitleImpl

		}// scene
	}// appplication
}// sf

#endif // !defined(AFX_TITLE_H__CD1C05DB_BB7E_4086_83DE_55E203830952__INCLUDED_)
